Index: trunk/LMDZ.COMMON/libf/evolution/stopping_crit_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/stopping_crit_mod.F90	(revision 3570)
+++ trunk/LMDZ.COMMON/libf/evolution/stopping_crit_mod.F90	(revision 3571)
@@ -14,5 +14,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-SUBROUTINE stopping_crit_h2o_ice(cell_area,h2oice_ini_surf,ini_h2oice_sublim,h2o_ice,stopPEM,ngrid)
+SUBROUTINE stopping_crit_h2o_ice(cell_area,h2oice_ini_surf,is_h2oice_sublim_ini,h2o_ice,stopPEM,ngrid)
 
 use time_evol_mod, only: h2o_ice_crit
@@ -28,9 +28,9 @@
 ! Inputs
 !-------
-integer,                          intent(in) :: ngrid             ! # of physical grid points
-real,    dimension(ngrid),        intent(in) :: cell_area         ! Area of the cells
-real,    dimension(ngrid,nslope), intent(in) :: h2o_ice           ! Actual density of h2o ice
-real,                             intent(in) :: h2oice_ini_surf   ! Initial surface of sublimating h2o ice
-logical, dimension(ngrid,nslope), intent(in) :: ini_h2oice_sublim ! Grid points where h2o ice was initially sublimating
+integer,                          intent(in) :: ngrid                ! # of physical grid points
+real,    dimension(ngrid),        intent(in) :: cell_area            ! Area of the cells
+real,    dimension(ngrid,nslope), intent(in) :: h2o_ice              ! Actual density of h2o ice
+real,                             intent(in) :: h2oice_ini_surf      ! Initial surface of sublimating h2o ice
+logical, dimension(ngrid,nslope), intent(in) :: is_h2oice_sublim_ini ! Grid points where h2o ice was initially sublimating
 ! Outputs
 !--------
@@ -48,5 +48,5 @@
 do i = 1,ngrid
     do islope = 1,nslope
-        if (ini_h2oice_sublim(i,islope) .and. h2o_ice(i,islope) > 0.) h2oice_now_surf = h2oice_now_surf + cell_area(i)*subslope_dist(i,islope)
+        if (is_h2oice_sublim_ini(i,islope) .and. h2o_ice(i,islope) > 0.) h2oice_now_surf = h2oice_now_surf + cell_area(i)*subslope_dist(i,islope)
     enddo
 enddo
@@ -75,5 +75,5 @@
 !=======================================================================
 
-SUBROUTINE stopping_crit_co2(cell_area,co2ice_ini_surf,ini_co2ice_sublim,co2_ice,stopPEM,ngrid,global_avg_press_PCM,global_avg_press_new,nslope)
+SUBROUTINE stopping_crit_co2(cell_area,co2ice_sublim_surf_ini,is_co2ice_sublim_ini,co2_ice,stopPEM,ngrid,ps_avg_global_ini,ps_avg_global,nslope)
 
 use time_evol_mod, only: co2_ice_crit, ps_criterion
@@ -89,11 +89,11 @@
 ! Inputs
 !-------
-integer,                          intent(in) :: ngrid, nslope        ! # of grid physical grid points
-real,    dimension(ngrid),        intent(in) :: cell_area            ! Area of the cells
-real,    dimension(ngrid,nslope), intent(in) :: co2_ice              ! Actual density of co2 ice
-real,                             intent(in) :: co2ice_ini_surf      ! Initial surface of sublimatingco2 ice
-logical, dimension(ngrid,nslope), intent(in) :: ini_co2ice_sublim    ! Grid points where co2 ice was initially sublimating
-real,                             intent(in) :: global_avg_press_PCM ! Planet average pressure from the PCM start files
-real,                             intent(in) :: global_avg_press_new ! Planet average pressure from the PEM computations
+integer,                          intent(in) :: ngrid, nslope          ! # of grid physical grid points
+real,    dimension(ngrid),        intent(in) :: cell_area              ! Area of the cells
+real,    dimension(ngrid,nslope), intent(in) :: co2_ice                ! Actual density of co2 ice
+real,                             intent(in) :: co2ice_sublim_surf_ini ! Initial surface of sublimatingco2 ice
+logical, dimension(ngrid,nslope), intent(in) :: is_co2ice_sublim_ini   ! Grid points where co2 ice was initially sublimating
+real,                             intent(in) :: ps_avg_global_ini      ! Planet average pressure from the PCM start files
+real,                             intent(in) :: ps_avg_global          ! Planet average pressure from the PEM computations
 ! Outputs
 !--------
@@ -112,40 +112,40 @@
 do i = 1,ngrid
     do islope = 1,nslope
-        if (ini_co2ice_sublim(i,islope) .and. co2_ice(i,islope) > 0.) co2ice_now_surf = co2ice_now_surf + cell_area(i)*subslope_dist(i,islope)
+        if (is_co2ice_sublim_ini(i,islope) .and. co2_ice(i,islope) > 0.) co2ice_now_surf = co2ice_now_surf + cell_area(i)*subslope_dist(i,islope)
     enddo
 enddo
 
 ! Check of the criterion
-if (co2ice_now_surf < co2ice_ini_surf*(1. - co2_ice_crit)) then
+if (co2ice_now_surf < co2ice_sublim_surf_ini*(1. - co2_ice_crit)) then
     stopPEM = 3
     write(*,*) "Reason of stopping: the surface of co2 ice sublimating reaches the threshold"
-    write(*,*) "co2ice_now_surf < co2ice_ini_surf*(1. - co2_ice_crit)", co2ice_now_surf < co2ice_ini_surf*(1. - co2_ice_crit)
-    write(*,*) "Initial surface of co2 ice sublimating =", co2ice_ini_surf
+    write(*,*) "co2ice_now_surf < co2ice_sublim_surf_ini*(1. - co2_ice_crit)", co2ice_now_surf < co2ice_sublim_surf_ini*(1. - co2_ice_crit)
+    write(*,*) "Initial surface of co2 ice sublimating =", co2ice_sublim_surf_ini
     write(*,*) "Current surface of co2 ice sublimating =", co2ice_now_surf
     write(*,*) "Percentage of change accepted =", co2_ice_crit*100.
-else if (co2ice_now_surf > co2ice_ini_surf*(1. + co2_ice_crit)) then
+else if (co2ice_now_surf > co2ice_sublim_surf_ini*(1. + co2_ice_crit)) then
     stopPEM = 3
     write(*,*) "Reason of stopping: the surface of co2 ice sublimating reaches the threshold"
-    write(*,*) "co2ice_now_surf > co2ice_ini_surf*(1. + co2_ice_crit)", co2ice_now_surf > co2ice_ini_surf*(1. + co2_ice_crit)
+    write(*,*) "co2ice_now_surf > co2ice_sublim_surf_ini*(1. + co2_ice_crit)", co2ice_now_surf > co2ice_sublim_surf_ini*(1. + co2_ice_crit)
     write(*,*) "Current surface of co2 ice sublimating =", co2ice_now_surf
-    write(*,*) "Initial surface of co2 ice sublimating =", co2ice_ini_surf
+    write(*,*) "Initial surface of co2 ice sublimating =", co2ice_sublim_surf_ini
     write(*,*) "Percentage of change accepted =", co2_ice_crit*100.
 endif
 
-if (abs(co2ice_ini_surf) < 1.e-5) stopPEM = 0
+if (abs(co2ice_sublim_surf_ini) < 1.e-5) stopPEM = 0
 
-if (global_avg_press_new < global_avg_press_PCM*(1. - ps_criterion)) then
+if (ps_avg_global < ps_avg_global_ini*(1. - ps_criterion)) then
     stopPEM = 4
     write(*,*) "Reason of stopping: the global pressure reaches the threshold"
-    write(*,*) "global_avg_press_new < global_avg_press_PCM*(1. - ps_criterion)", global_avg_press_new < global_avg_press_PCM*(1. - ps_criterion)
-    write(*,*) "Initial global pressure =", global_avg_press_PCM
-    write(*,*) "Current global pressure =", global_avg_press_new
+    write(*,*) "ps_avg_global < ps_avg_global_ini*(1. - ps_criterion)", ps_avg_global < ps_avg_global_ini*(1. - ps_criterion)
+    write(*,*) "Initial global pressure =", ps_avg_global_ini
+    write(*,*) "Current global pressure =", ps_avg_global
     write(*,*) "Percentage of change accepted =", ps_criterion*100.
-else if (global_avg_press_new > global_avg_press_PCM*(1. + ps_criterion)) then
+else if (ps_avg_global > ps_avg_global_ini*(1. + ps_criterion)) then
     stopPEM = 4
     write(*,*) "Reason of stopping: the global pressure reaches the threshold"
-    write(*,*) "global_avg_press_new > global_avg_press_PCM*(1. + ps_criterion)", global_avg_press_new > global_avg_press_PCM*(1. + ps_criterion)
-    write(*,*) "Initial global pressure =", global_avg_press_PCM
-    write(*,*) "Current global pressure =", global_avg_press_new
+    write(*,*) "ps_avg_global > ps_avg_global_ini*(1. + ps_criterion)", ps_avg_global > ps_avg_global_ini*(1. + ps_criterion)
+    write(*,*) "Initial global pressure =", ps_avg_global_ini
+    write(*,*) "Current global pressure =", ps_avg_global
     write(*,*) "Percentage of change accepted =", ps_criterion*100.
 endif
